<app-spinner *ngIf="isLoading"></app-spinner>

<div class="casts_container">
  <div class="cast" *ngFor="let cast of showCasts">
    <a
      [title]="cast.person.name"
      [routerLink]="[routes.ACTORS, cast.person.id, main]"
      rel="noreferrer"
    >
      <img
        class="cast_img"
        [src]="
          cast.person.image
            ? cast.person.image.medium
            : 'assets/images/no-img.png'
        "
        [alt]="cast.person.name + 'image'"
      />
    </a>
    <div class="cast_description">
      <a [routerLink]="[routes.ACTORS, cast.person.id, main]" rel="noreferrer">
        <h1 class="cast_actor_name">
          {{ cast.person.name }}
        </h1>
      </a>
      <span>as</span>
      <h2 class="cast_character_name">{{ cast.character.name }}</h2>
    </div>
  </div>
</div>
